#
# spec file for package rubygem-airbrake
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-airbrake
Version:        7.2.1
Release:        1.1
%define mod_name airbrake
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://airbrake.io
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Airbrake is an online tool that provides robust exception tracking
License:        MIT
Group:          Development/Languages/Ruby

%description
Airbrake is an online tool that provides robust exception tracking in any of
your Ruby applications. In doing so, it allows you to easily review errors,
tie
an error to an individual piece of code, and trace the cause back to recent
changes. The Airbrake dashboard provides easy categorization, searching, and
prioritization of exceptions so that when errors occur, your team can quickly
determine the root cause.
Additionally, this gem includes integrations with such popular libraries and
frameworks as Rails, Sinatra, Resque, Sidekiq, Delayed Job, Shoryuken,
ActiveJob and many more.

%prep

%build

%install
%gem_install \
  -f

%gem_packages

%changelog
* Fri Feb 16 2018 factory-auto@kulow.org
- updated to version 7.2.1
  no changelog found
* Thu Feb  8 2018 coolo@suse.com
- updated to version 7.2.0
  no changelog found
* Thu Dec 14 2017 hvogel@suse.com
- updated to version 7.1.1
  Better fix for apps which don't use ActiveRecord. In some scenarios some
  pieces of ActiveRecord may still be loaded, e.g. the ActiveRecord errors,
  causing airbrake to still fail to startup. (#810)
* Thu Dec 14 2017 coolo@suse.com
- updated to version 7.1.1
  no changelog found
* Mon Oct 23 2017 mschnitzer@suse.com
- updated to version 7.1.0
  * Started depending on airbrake-ruby-2.5.0 (#807)
* Fri Oct 13 2017 mschnitzer@suse.com
- updated to version 7.0.3
  * Fix URL port reporting for Rails apps running through SSL (#803)
* Fri Sep 29 2017 mdeniz@suse.com
- updated to version 7.0.2
  Fixed Sidekiq error no implicit conversion of String into Integer when ActiveJob is not used (#799)
* Wed Sep 27 2017 mdeniz@suse.com
- updated to version 7.0.1
  Fix error message for rake airbrake:test when current environment is ignored (#796)
  Fix undefined local variable or method 'username' for the Capistrano 2 integration (#797)
* Fri Sep 22 2017 mschnitzer@suse.com
- updated to version 7.0.0
  * Deleted deprecated require paths for Capistrano, DelayedJob,
    Logger, Rails, Rake, Resque, Shoryuken & Sidekiq integrations (#792)
* Thu Aug  3 2017 coolo@suse.com
- updated to version 6.2.1
  no changelog found
* Tue Jun 20 2017 coolo@suse.com
- updated to version 6.1.2
  no changelog found
* Tue May 30 2017 coolo@suse.com
- updated to version 6.1.1
  no changelog found
* Tue May 23 2017 coolo@suse.com
- updated to version 6.1.0
  no changelog found
* Wed Mar 22 2017 coolo@suse.com
- updated to version 6.0.0
  no changelog found
* Fri Mar  3 2017 coolo@suse.com
- updated to version 5.8.1
  no changelog found
* Tue Feb 14 2017 coolo@suse.com
- updated to version 5.7.1
  no changelog found
* Fri Jan 27 2017 coolo@suse.com
- updated to version 5.7.0
  no changelog found
* Sat Oct 29 2016 coolo@suse.com
- updated to version 5.6.1
  no changelog found
* Wed Oct 19 2016 coolo@suse.com
- updated to version 5.6.0
  no changelog found
* Thu Sep 15 2016 coolo@suse.com
- updated to version 5.5.0
  no changelog found
* Wed Aug 24 2016 coolo@suse.com
- updated to version 5.4.5
  no changelog found
* Thu Aug 11 2016 coolo@suse.com
- updated to version 5.4.4
  no changelog found
* Sat Jul 23 2016 coolo@suse.com
- updated to version 5.4.3
  no changelog found
* Sat Jul 16 2016 coolo@suse.com
- updated to version 5.4.2
  no changelog found
* Wed Jun 22 2016 coolo@suse.com
- updated to version 5.4.1
  no changelog found
* Tue Jun  7 2016 coolo@suse.com
- updated to version 5.4.0
  no changelog found
* Thu May 12 2016 coolo@suse.com
- updated to version 5.3.0
  no changelog found
* Wed Apr  6 2016 coolo@suse.com
- updated to version 5.2.3
  no changelog found
* Tue Mar 22 2016 coolo@suse.com
- updated to version 5.2.1
  no changelog found
* Wed Mar  2 2016 coolo@suse.com
- updated to version 5.1.0
  no changelog found
* Thu Feb 11 2016 coolo@suse.com
- updated to version 5.0.5
  no changelog found
* Wed Feb  3 2016 coolo@suse.com
- updated to version 5.0.4
  no changelog found
* Thu Jan 21 2016 coolo@suse.com
- updated to version 5.0.3
  no changelog found
* Sat Dec 19 2015 coolo@suse.com
- updated to version 5.0.0
  CHANGELOG removed upstream
* Tue Nov 24 2015 coolo@suse.com
- updated to version 4.3.4
  see installed CHANGELOG
  Version 4.3.4 - 2015-11-24 10:19:23 +0200
  ===============================================================================
  Abdelkader Boudih (1):
    Relax sidekiq version dependency
  Kyrylo Silin (1):
    Merge pull request #436 from seuros/patch-2
* Wed Oct 21 2015 coolo@suse.com
- updated to version 4.3.3
  see installed CHANGELOG
  Version 4.3.3 - 2015-10-20 19:33:27 -0500
  ===============================================================================
  Daniel Loy (1):
    don't break `clean_params` when processing nested array (as seen in action_dispatch.cookies from cgi-data)
  Joe Van Dyk (1):
    Add way to ignore all the exceptions
  Kyrylo Silin (2):
    Merge pull request #432 from loybert/fix/dont-break-when-filtering-arrays-of-arrays
    Merge pull request #433 from Tanga/ignore_exceptions
* Sat Oct 17 2015 coolo@suse.com
- updated to version 4.3.2
  see installed CHANGELOG
  Version 4.3.2 - 2015-10-16 21:24:49 -0500
  ===============================================================================
  Alexis (3):
    don't fail on request param containing |
    [#419] | test
    don't fail on request param containing |
  Andres Ivanov (5):
    Remove API_KEY from capistrano tasks
    Remove api_key variable sent by airbrake:deploy
    Merge github.com:airbrake/airbrake
    Remove api_key opt from AirbrakeTasks.deploy
    Remove test that checks availability of passing api_key opt
  Iain Beeston (2):
    Corrected ControllerMethods test that could never fail
    Protected against errors while gathering user details
  Joe Roberts (1):
    Fix readme, SSL is available to everyone.
  Kyrylo Silin (15):
    Merge pull request #409 from airbrake/fix/readme-ssl
    Merge pull request #411 from TangRufus/master
    Revert "start using remote XSD file when verifying XML in tests"
    Merge pull request #420 from alexis779/master
    Revert "[#419] don't fail on request param containing |"
    Merge pull request #424 from airbrake/revert-420-master
    circle: update Ruby from 2.0.0-p0 to 2.2.3
    Merge pull request #425 from airbrake/update-ruby
    params_cleaner: do not attempt to "collect" closed IO objects
    Merge pull request #426 from airbrake/396-closed-io-bug
    Merge pull request #429 from iainbeeston/incorrect-controller-method-name
    Merge pull request #430 from iainbeeston/protect-against-user-load-errors
    test/integration: don't require abstract_controller
    Merge pull request #431 from airbrake/do-not-require-abstract-controller
    Merge pull request #427 from alexis779/master
  Marko Šiftar (2):
    Merge pull request #412 from midN/master
    Merge pull request #416 from airbrake/415-fix-build
  Tang Rufus (2):
    Fix airbrake/airbrake#410
    Backward compatible with Rails 4
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.3.1
  see installed CHANGELOG
  Version 4.3.1 - 2015-08-24 21:10:19 -0500
  ===============================================================================
  Edoardo Rossi (1):
    Fix missing api_key when using V3 endpoint URL
  Igor Kapkov (2):
    Use getters instead of handwriten methods
    Update readme to fix appraisal deprecation
  Kyrylo Silin (5):
    Merge pull request #404 from zeroed/master
    Merge pull request #405 from igas/little-optimization
    Merge pull request #408 from igas/update-readme-to-fix-appraisal-deprecation
    Merge pull request #406 from Aupajo/fix/ambiguous-rails
    Merge pull request #403 from lisovskyvlad/master
  Lisovsky Vlad (1):
    Fix dumping notice object to xml for rails 2.3.10 and builder 2.1.2
  Mark Nadig (1):
    capistrano task should handle symbols for env
  Pete Nicholls (1):
    Use ::Rails namespace for Rails::VERSION
  shifi (3):
    Merge branch 'issue_393' of https://github.com/KonaTeam/airbrake into KonaTeam-issue_393
    Merge branch 'KonaTeam-issue_393'
    add guidelines for contributing
* Wed Jun 24 2015 coolo@suse.com
- updated to version 4.3.0
  see installed CHANGELOG
  Version 4.3.0 - 2015-06-23 19:36:10 -0500
  ===============================================================================
  Omer Gazit (1):
    Add ability to define whitelist filters for parameters
  shifi (7):
    use top level namespace and stay compatible with Rails 2.x - fixes #388
    update to match new changes
    support whitelist and blacklist approach for params filters and support nested filter arrays
    add more tests for params cleaner
    Merge branch 'feature/whitelist-params-filters'
    add HTTP_AUTHORIZATION to rack filters
    make sure we remove all sensitive rack vars
* Wed Jun 10 2015 coolo@suse.com
- updated to version 4.2.1
  see installed CHANGELOG
  Version 4.2.1 - 2015-06-01 22:12:49 -0500
  ===============================================================================
  Marko Šiftar (3):
    Merge pull request #384 from biske/improve-notify-documentation
    Merge pull request #385 from arrtchiu/patch-2
    Merge pull request #386 from airbrake/fix/check-if-failsafe-middleware-is-defined
  Phuong Nguyen (1):
    Insert UserInformer middleware before Rack::Runtime since Rack::Lock may not be available for app with websocket-rails
  arrtchiu (1):
    Support Rails 4 without ActiveRecord
  shifi (7):
    typo in changelog
    add more args in deploy CLI - fixes #296
    update CLI help info
    do not require pry - fix typo
    check if failsafe middleware is defined - fixes #379
    fix conflicts
    Merge branch 'phuongnd08-master'
  Иван Бишевац (1):
    Improves documentation for notify method
* Thu May 28 2015 coolo@suse.com
- updated to version 4.2.0
  see installed CHANGELOG
  Version 4.2.0 - 2015-05-27 19:05:32 -0500
  ===============================================================================
  Abdelkader Boudih (1):
    Update sidekiq.rb
  Adam King (1):
    Fix DEFAULT_BACKTRACE_FILTERS bug that caused backtrace to not show up in certain contexts. See https://github.com/airbrake/airbrake/issues/343.
  David (8):
    Merge pull request #329 from grosser/grosser/gemspec
    Merge pull request #335 from airbrake/fix/cucumber-suite
    Merge pull request #327 from airbrake/feature/faster-params-cleaning
    Merge pull request #337 from airbrake/fix/rails4-is-here
    Merge pull request #326 from airbrake/fix/cast-ENV-to-Hash
    Merge pull request #328 from grosser/grosser/dup
    Merge pull request #334 from airbrake/fix/user-info-consumes-db-connections
    Merge pull request #340 from grosser/grosser/dup
  David Palm (9):
    Cast CGI data to hash, as that's what the code really expects
    Speed up notice generation by avoiding copying data and putting most common cases on top
    Refactor #airbrake_current_user
    Typo
    Add comment explaining why we release connections
    Comment out @wip scenarios to facilitate running parts of the suite
    Add 4 to version sniffing code
    PR feedback
    Clone to ensure we do not mess with the provided data
  Eero Raun (1):
    Ignore RACK_ENV if it is empty (capistrano deploy), fixes #341.
  Jonathan Worek (1):
    Assumption of existence of :app role may not be valid
  Marko Šiftar (3):
    Merge pull request #354 from wojobucco/patch-1
    Merge pull request #342 from oree/341
    Merge pull request #382 from airbrake/fix/use-proper-capistrano-hook
  Martin Tepper (1):
    This should fix #369
  grosser (3):
    cleanup gemspec
    fix having symbols in the environment blows up filter_parameters with blocks
    If we cannot stringify then at least rescue the dup exceptions ...
  halida (1):
    fix rails request.fullpath behavior change in 4.1.6 -- no longer has leading /
  shifi (17):
    add test for filtering frozen objects
    Merge branch 'Promptus-issue_369_frozen_array_issue'
    update Appraisals file
    Merge branch 'master' of https://github.com/halida/airbrake into halida-master
    remove whitespaces
    add test for airbrake_request_url
    Merge branch 'halida-master'
    update year in license and readme
    use proper capistrano hook depending on capistrano version
    set localhost IP to satisfy web console when testing in development
    Merge branch 'patch-1' of https://github.com/seuros/airbrake into seuros-patch-1
    fix syntax error in Sidekiq configuration
    Merge branch 'seuros-patch-1'
    Merge branch 'master' of https://github.com/developwithvelocity/airbrake into developwithvelocity-master
    tests for backtrace default filters - gem paths
    Merge branch 'developwithvelocity-master'
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.1.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Jul 13 2014 coolo@suse.com
- updated to version 4.0.0
  tons of changes
* Sat Mar 15 2014 coolo@suse.com
- updated to version 3.1.16
  new company name
* Sun Jan  5 2014 coolo@suse.com
- updated to version 3.1.15
  Ahmad Sherif (1):
    Don't serialize nil to an empty string
  Damon Morgan (1):
    Support sucker_punch for async processor
  David Palm (1):
    Give params_filter a setter so it can be *set* (not only appended to)
  Hrvoje Šimić (14):
    add Rails 4 to README.md
    use Coveralls for code coverage
    use Gemnasium for dependency monitoring
    use Code Climate for code analysis
    extract ParamsCleaner class
    being more careful with javascript_notifier and non-public requests
    Bumping to version 3.1.14
    add Circle CI badge
    rename :test task to 'test:unit'
    use parallel gem installation on CI server
    enable pry debugging in tests
    add test for #251
    enable filtering of sensitive Rack vars by default
    start using MultiJson
  Marko Šiftar (1):
    fix deploy uri
  Marten Veldthuis (1):
    Airbrake rakefile is not compatible with Capistrano v3
  Rodrigo Saito (1):
    Handle error when variable sinatra.error is present
* Mon Aug 26 2013 coolo@suse.com
- updated to version 3.1.14
  Hrvoje Šimić (5):
    use Coveralls for code coverage
    use Gemnasium for dependency monitoring
    use Code Climate for code analysis
    extract ParamsCleaner class
    being more careful with javascript_notifier and non-public requests
  Version 3.1.13 - 2013-08-20 09:39:41 +0200
  ===============================================================================
  Anton Minin (1):
    Fix notice crash on empty cgi_data
  Cedric Brancourt (2):
    fixes #231 When no session in controller , airbrake_session_data returns {:session => "no session found"}
    fixes airbrake/airbrake#233 duplicate cgi_data in Notice params
  Chris Gunther (2):
    Coerce user attributes to strings before checking that they are valid.
    Reject invalid user attributes on assignment
  Hongli Lai (Phusion) (1):
    Add support for SSL in the command line tool.
  Hrvoje Šimić (22):
    better explanation of ignored environments and classes
    add test for warnings about user attributes
    remove unnecessary active record requirements
    remove platform checks from nil logger initialization
    update bourne dependency to fix test-running issues with ruby 2.0.0
    test against ruby 2.0.0 on a CI server
    remove mocha deprecation warnings
    be more careful when reading sinatra environment name
    wrap the js configuration in try-catch
    ignore Gemfile.lock
    lock json-schema to 1.0.12
    add a scenario for ignoring rake exceptions [#223]
    get rid of activesupport once and for all
    fully support Rails 4.0
    stop using appraisals for unit tests
    fix formatting of airbrake_session_data
    fix test for no session controller [#232]
    include actionpack and activesupport in gemspec for tests
    cleaning up tests
    cleaning the codebase from warnings issued in ruby verbose mode
    remove private writers and use instance variables to remove warnings
    fixing changeling's version sorting
  Jason Petersen (1):
    Escape user name in Airbrake notify command
* Tue Jul 30 2013 coolo@suse.com
- updated to version 3.1.12
* Thu Nov 22 2012 coolo@suse.com
- updated to version 3.1.6
* Thu Nov 22 2012 coolo@suse.com
- initial package (version 3.1.6)
